Failed to use version 2.1.x on linux but v1.9.x works well #14723

Open
eugeneglova opened this Issue Dec 29, 2016 · 0 comments

Projects

None yet

1 participant

@eugeneglova
  1. Which version of PhantomJS are you using? Tip: run phantomjs --version.
    running version failed for me, but I installed it via npm so it's 2.1.1 accordingly downloaded tar.bz2

  2. What steps will reproduce the problem?

  3. just run ./node_modules/phantomjs/bin/phantomjs

  4. Which operating system are you using?

Linux leelee.ric.mf 2.6.18-409.el5 #1 SMP Tue Mar 15 18:13:50 EDT 2016 x86_64 x86_64 x86_64 GNU/Linux
  1. Did you use binary PhantomJS or did you compile it from source?
    binary

  2. Please provide any additional information below.

[eglova@leelee.ric webroot]$ npm i phantomjs
npm WARN package.json myfonts@0.0.1 No repository field.
npm WARN package.json myfonts@0.0.1 No license field.
npm WARN deprecated phantomjs@2.1.7: Package renamed to phantomjs-prebuilt. Please update 'phantomjs' package references to 'phantomjs-prebuilt'
npm WARN deprecated node-uuid@1.4.7: use uuid module instead
npm WARN deprecated tough-cookie@2.2.2: ReDoS vulnerability parsing Set-Cookie https://nodesecurity.io/advisories/130
-
> phantomjs@2.1.7 install /home/eglova/dev/www/webroot/node_modules/phantomjs
> node install.js

PhantomJS not found on PATH
Download already available at /tmp/phantomjs/phantomjs-2.1.1-linux-x86_64.tar.bz2
Verified checksum of previously downloaded file
Extracting tar contents (via spawned process)
Removing /home/eglova/dev/www/webroot/node_modules/phantomjs/lib/phantom
Copying extracted folder /tmp/phantomjs/phantomjs-2.1.1-linux-x86_64.tar.bz2-extract-1482941790503/phantomjs-2.1.1-linux-x86_64 -> /home/eglova/dev/www/webroot/node_modules/phantomjs/lib/phantom
Writing location.js file
Done. Phantomjs binary available at /home/eglova/dev/www/webroot/node_modules/phantomjs/lib/phantom/bin/phantomjs
phantomjs@2.1.7 node_modules/phantomjs
├── progress@1.1.8
├── kew@0.7.0
├── which@1.2.12 (isexe@1.1.2)
├── request-progress@2.0.1 (throttleit@1.0.0)
├── hasha@2.2.0 (is-stream@1.1.0, pinkie-promise@2.0.1)
├── extract-zip@1.5.0 (debug@0.7.4, mkdirp@0.5.0, yauzl@2.4.1, concat-stream@1.5.0)
├── fs-extra@0.26.7 (path-is-absolute@1.0.1, klaw@1.3.1, jsonfile@2.4.0, graceful-fs@4.1.11, rimraf@2.5.4)
└── request@2.67.0 (is-typedarray@1.0.0, oauth-sign@0.8.2, aws-sign2@0.6.0, forever-agent@0.6.1, tunnel-agent@0.4.3, caseless@0.11.0, stringstream@0.0.5, isstream@0.1.2, json-stringify-safe@5.0.1, extend@3.0.0, node-uuid@1.4.7, combined-stream@1.0.5, qs@5.2.1, tough-cookie@2.2.2, mime-types@2.1.13, bl@1.0.3, har-validator@2.0.6, hawk@3.1.3, http-signature@1.1.1, form-data@1.0.1)
[eglova@leelee.ric webroot]$ /home/eglova/dev/www/webroot/node_modules/phantomjs/lib/phantom/bin/phantomjs
/home/eglova/dev/www/webroot/node_modules/phantomjs/lib/phantom/bin/phantomjs: /lib64/libz.so.1: no version information available (required by /home/eglova/dev/www/webroot/node_modules/phantomjs/lib/phantom/bin/phantomjs)
/home/eglova/dev/www/webroot/node_modules/phantomjs/lib/phantom/bin/phantomjs: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by /home/eglova/dev/www/webroot/node_modules/phantomjs/lib/phantom/bin/phantomjs)
/home/eglova/dev/www/webroot/node_modules/phantomjs/lib/phantom/bin/phantomjs: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /home/eglova/dev/www/webroot/node_modules/phantomjs/lib/phantom/bin/phantomjs)
/home/eglova/dev/www/webroot/node_modules/phantomjs/lib/phantom/bin/phantomjs: /lib64/libc.so.6: version `GLIBC_2.9' not found (required by /home/eglova/dev/www/webroot/node_modules/phantomjs/lib/phantom/bin/phantomjs)
/home/eglova/dev/www/webroot/node_modules/phantomjs/lib/phantom/bin/phantomjs: /lib64/libc.so.6: version `GLIBC_2.10' not found (required by /home/eglova/dev/www/webroot/node_modules/phantomjs/lib/phantom/bin/phantomjs)
/home/eglova/dev/www/webroot/node_modules/phantomjs/lib/phantom/bin/phantomjs: /lib64/libc.so.6: version `GLIBC_2.7' not found (required by /home/eglova/dev/www/webroot/node_modules/phantomjs/lib/phantom/bin/phantomjs)
[eglova@leelee.ric webroot]$ node --version
v0.12.0

Medium/phantomjs#662

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment